org.richfaces.validator

## Class ConverterServiceImpl

- java.lang.Object
- - org.richfaces.validator.FacesServiceBase<javax.faces.convert.Converter>
  - - org.richfaces.validator.ConverterServiceImpl

- All Implemented Interfaces:
    org.richfaces.validator.FacesConverterService

      public class ConverterServiceImpl
      extends FacesServiceBase<javax.faces.convert.Converter>
      implements org.richfaces.validator.FacesConverterService

  Author:
    asmirnov

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConverterServiceImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.richfaces.validator.ConverterDescriptor` | `getConverterDescription(javax.faces.context.FacesContext context, javax.faces.component.EditableValueHolder input, javax.faces.convert.Converter converter, String converterMessage)`
    `protected String` | `getMessageId(javax.faces.convert.Converter converter)`

    - ### Methods inherited from class org.richfaces.validator.FacesServiceBase

      `fillParameters, getMessage, setLabelParameter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConverterServiceImpl

          public ConverterServiceImpl()

  - ### Method Detail

    - #### getConverterDescription

          public org.richfaces.validator.ConverterDescriptor getConverterDescription(javax.faces.context.FacesContext context,
                                                                            javax.faces.component.EditableValueHolder input,
                                                                            javax.faces.convert.Converter converter,
                                                                            String converterMessage)

      Specified by:
        `getConverterDescription` in interface `org.richfaces.validator.FacesConverterService`

    - #### getMessageId

          protected String getMessageId(javax.faces.convert.Converter converter)

      Specified by:
        `getMessageId` in class `FacesServiceBase<javax.faces.convert.Converter>`

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.